EXTRA_DIST=test-manifest-1.json test-manifest-with-scripts.json userscript-content.js unity-webapps/userscripts/common/common.js

DBUS_RUNNER=dbus-test-runner --max-wait=0

AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	$(UNITY_WEBAPPS_DAEMON_CFLAGS) \
	-DUNITY_WEBAPPS_ENABLE_DEBUG \
	-I$(top_srcdir)/src/ \
	-I$(top_srcdir)/src/context-daemon/util \
	-I$(top_srcdir)/src/libunity-webapps-repository/ \
	-DUNITY_WEBAPPS_TEST_BUILD \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS) \
	-DTESTDATADIR=\"$(top_srcdir)/tests/repository/available-application/\"

REAL_TESTS = \
	test-local-available-application \
	test-local-available-script-loader
RUNNER_TESTS =

noinst_PROGRAMS = \
	$(REAL_TESTS) 

test_local_available_application_SOURCES = \
	test-local-available-application.c 
test_local_available_application_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

test_local_available_script_loader_SOURCES = \
	test-local-available-script-loader.c
test_local_available_script_loader_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS) \
	$(top_builddir)/src/libunity-webapps-repository/libunity-webapps-repository.la

TESTS = $(RUNNER_TESTS) $(REAL_TESTS)

CLEANFILES = $(RUNNER_TESTS) $(REAL_TESTS)
